clear all
set more off
set scheme s1mono


use "whalesdata", clear

gen nobs = _n

twoway scatter Max_wtp nobs, xtitle("Observations") ytitle("AU$ per week") ///
	title("Maximum willingness to pay", size(medsmall)) ///
	ylabel( ,angle(0))
	




use "whalesdata", clear
tobit Max_wtp i.foreign i.highered Age Income_AUD AdultWhales i.YoungWhales, ll(0)

quietly tobit Max_wtp i.foreign i.highered Age Income_AUD AdultWhales i.YoungWhales, ll(0)
margins, predict(pr(0,.))
margins, dydx(*) predict(ystar(0,.))

