clear *

// load Keller and Levinson data
use "phhwide", clear


keep year *IA *MI *NC
keep year lfdi?? lpop* len*
replace year = year + 1900
keep if year<1984
format l* %6.3f
list, noobs sep(0)

reshape long lfdi lpop len, i(year) j(state) string

encode state, gen(istate)
xtset istate year, yearly
list istate year l*, noobs sepby(istate)

drop istate
reshape wide lfdi lpop len, i(year) j(state) string
