// replicate results in the nonlinear chapter

clear *
set more off
set scheme s1mono


// -------------------------------------------------------------------------- //
// plots of the sunspot data and ACF and PACF functions
// RESET and V23 tests
include nonlinear-testing.do

// -------------------------------------------------------------------------- //
// bilinear model
include bilinear.do

// -------------------------------------------------------------------------- //
// simple threshold autoregressive model
include threshold.do

// -------------------------------------------------------------------------- //
// smooth transition models
include star.do

// -------------------------------------------------------------------------- //
// markov switching model
include markov.do
