*! version 1.0.0  3march2021
program spinst_eeus
  version 16

  di as smcl "{txt}Installing ..."

  cap noi spinst_eeus_wrk egranger http://fmwww.bc.edu/RePEc/bocode/e
  cap noi spinst_eeus_wrk rosssekh http://fmwww.bc.edu/RePEc/bocode/r
  cap noi spinst_eeus_wrk xthybrid http://fmwww.bc.edu/RePEc/bocode/x

  if "`haserr'" != "" {
    di
    di in smcl "{p}{err}At least one of the packages was not able to be " ///
               "installed.  Try typing {cmd:spinst_eeus} again.  If that " ///
               "fails, look at the output of the error message above to " ///
               "diagnose the problem.  Perhaps you have an out-of-date " ///
               "version of the package already installed.  In that case, " ///
               "type {cmd:adoupdate} to update it."
  }
  else {
   di as smcl "{txt}Installation complete."
  }
end

program spinst_eeus_wrk
  version 16
  args package from

  di as smcl "{txt}   package {res:`package'} from {res:`from'}"
  capture net install `package', from(`from')
  if _rc {
    di
    di as smcl "{cmd}. net install `package', from(`from')
    capture noisily net install `package', from(`from')
    di
    if _rc {
      c_local haserr "yes"
    }
  }
end

