// file to reproduce some results from Borsky and Raschky (2015)
clear *



// load Borsky and Raschky (2015) data
use "spatialfish_small.dta", clear
  
// describe the data
describe
  
// line data up with Table 1 and results of estimations in Table 2
rename all_mean overall  
rename distance cost

label define eulabel 0 "Non-EU country" 1 "EU country"
label values eu_dum eulabel


use "spatialfish_small.dta", clear
bysort eu_dum: summarize behavior 
ttest behavior, by(eu_dum)
