clear all
set more off
set scheme s1mono


use "whalecatch", clear

tsset year

gen catch = aus+nz

twoway tsline catch, ylabel(,angle(0)) ytitle("Catch") xtitle("") ///
		title("Annual humpback whale catch: Australia and New Zealand", size(medsmall))



// plots of age distribution and tabulation of income

use "whalesdata", clear


// distribution of Age
twoway hist Age, fcolor(none) xtitle("Age of survey respondents") ///
	ylabel(, angle(0))
	
	

use "whalesdata", clear
list PayConserve wtp Max_wtp in 1/20

describe


// tabulate
tabulate foreign 
tabulate highered

tabulate Income_AUD




